eoTimeCounter(3)

NAME
eoTimeCounter - An eoStat that simply gives the user time since first generation It has to be tempatized by EOT because it must be an eoStat.

SYNOPSIS

#include <eoTimeCounter.h>

Inherits eoUpdater, and eoValueParam< double >.

  Public Member Functions
virtual void operator() ()
simply stores the time spent in process in its value()

  Private Attributes
clock_t utime

Detailed Description

An eoStat that simply gives the user time since first generation It has to be tempatized by EOT because it must be an eoStat.

Definition at line 38 of file eoTimeCounter.h.

Author

Generated automatically by Doxygen for EO from the source code.